php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #2259 /etc/httpd/modules/libphp3.so: undefined symbol: fstat
Submitted: 1999-09-07 18:41 UTC Modified: 1999-09-08 09:09 UTC
From: mev0003 at unt dot edu Assigned:
Status: Closed Package: Dynamic loading
PHP Version: 3.0.12 OS: Linux 2.2.12, RedHat 6.0
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: mev0003 at unt dot edu
New email:
PHP Version: OS:

 

 [1999-09-07 18:41 UTC] mev0003 at unt dot edu
Apache server version is 1.3.6

Configured php 3.0.12 with the following options:

LDFLAGS="-lc" CFLAGS="-fPIC" ./configure  --prefix=/usr --with-mysql --with-apxs \
        --with-config-file-path=/etc/httpd --enable-safe-mode \
        --with-exec-dir=/usr/bin --with-system-regex --disable-debug \
        --with-zlib --enable-debugger --enable-magic-quotes \
        --with-pgsql=/usr

Starting httpd gives the following error:

[root@ds9 /root]# /etc/rc.d/init.d/httpd start
Starting httpd:
Syntax error on line 26 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/libphp3.so into server: /etc/httpd/modules/libphp3.so: 
undefined symbol: fstat
                                                           [FAILED]

In httpd.conf I have, per INSTALL.REDHAT and INSTALL.DSO:

LoadModule php3_module      modules/libphp3.so
AddModule mod_php3.c


In a solution for this problem in php4 on RH 6.0, the writer noted to change lines 75 and 76 in /usr/sbin/apxs
from:

my $CFG_LD_SHLIB      = 'ld';      # substituted via Makefile.tmpl
my $CFG_LDFLAGS_SHLIB = '-Bshareable'; # substituted via Makefile.tmpl

to

my $CFG_LD_SHLIB      = 'gcc';      # substituted via Makefile.tmpl
my $CFG_LDFLAGS_SHLIB = '-shared'; # substituted via Makefile.tmpl

This does not work, as -shared is not a legal option for gcc, and with this change, the compile fails.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1999-09-08 09:09 UTC] sas at cvs dot php dot net
You need to upgrade to the latest Apache version.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sat Jul 04 18:01:26 2020 UTC